<?

 /*****************************************************************************
 * Filename: include/modules/cache.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class System_Module_cache extends Module
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="Cache";

   $this->data->addField("key", "text", "all", "identifier;title", 1, 255, false, "Key");
   $this->data->addField("value", "text", "all", "", 1, 10000000, false, "Value");
   $this->data->addField("modified", "datetime", "sql;show", "", false, false, "now", "Last modified");
   $this->data->addField("accessed", "datetime", "sql;show", "forceUpdate", false, false, "now", "Last accessed");

   $this->data->addField("userrights", "rights", "", "allusers", 0, false, 256); //view rights for all
  }
 }
?>
