<?

 /*****************************************************************************
 * Filename: include/storage/stub.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."storage/storage.php");

 class System_Storage_stub extends Storage
 {
  function __construct(&$d)
  {
   global $_path;

   parent::__construct($d, "stub");

   $this->clear();
  }


  function checkRights($action){$this->e->add("Storage function: \"checkRights\" stub", "note"); return true;}
  function insertID(){$this->e->add("Storage function: \"insertID\" stub", "note"); return true;}
  function table(){$this->e->add("Storage function: \"table\" stub", "note"); return true;}
  function info(){$this->e->add("Storage function: \"info\" stub", "note"); return true;}
  function get(){$this->e->add("Storage function: \"get\" stub", "note"); return true;}
  function add(){$this->e->add("Storage function: \"add\" stub", "note"); return true;}
  function edit(){$this->e->add("Storage function: \"edit\" stub", "note"); return true;}
  function delete(){$this->e->add("Storage function: \"delete\" stub", "note"); return true;}
  function create(){$this->e->add("Storage function: \"create\" stub", "note"); return true;}
  function alter(){$this->e->add("Storage function: \"alter\" stub", "note"); return true;}

 }
?>
