<?

 /*****************************************************************************
 * Filename: include/modules/groupRights.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class System_Module_groupRights extends Module
 {
  function __construct(&$data)
  {
   global $_config;

   parent::__construct($data);

   $this->data->title="Group rights";

   $this->data->addField("nr", "nr", "all", "title", 1, false);
   $this->data->addReference("nr", "categories", "nr", "*:1");

   $this->data->addField("catnr", "nr", "all", "rightsReference", 1);
   $this->data->addReference("catnr", "categories", "nr", "*:1");

   $this->data->addField("rights", "rights", "all", "title", 0, false, "");

   $this->data->addUnique("nr", "nr", "catnr");
  }
 }
?>
