<?

 /*****************************************************************************
 * Filename: include/plugins/unit_testing/modules/testmodule.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_unit_testing_testmodule extends Module
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   $this->data->title="Unit testing test module";

   $this->data->addField("nr", "nr", "sql;form", "identifier;hidden;global;default", 1, false);

   $this->data->addField("catnr", "nr", "sql;form", "reload;rightsReference;global;default", 1, false, 1, "Category");
   $this->data->addReference("catnr", "categories", "nr", "*:1");

   $this->data->addField("updated", "datetime", "sql;show", "forceUpdate;default", false, false, "now", "Last update");

   $this->data->addField("name", "text", "all", "title", 1, 25, false, "Name");

   $this->data->sortOrder("name");
  }
 }
?>
